Subject: bug#30807: Tramp tests take waaayyy too long and refuse to exit

From: Glenn Morris <[email-masked]>
Date: Tue, 13 Mar 2018 17:27:29 -0400

Paul Eggert wrote:

> For the past few weeks "make check" has been taking a looooong time on
> Emacs master on my Fedora 27 desktop (AMD Phenom II X4 910e). The
> first line of "make" output that causes a long delay is:
>
>   GEN      lisp/net/tramp-tests.log
>
> and some of the tests in the corresponding script look to be very
> slow. Can this be sped up? Let's mark the slow tests to be expensive,
> so that they are run only if one executes "make check-expensive".

I also find it problematically slow. Recently I identified these
particularly slow tests:

tramp-test11-copy-file 11s
tramp-test12-rename-file 13s
tramp-test21-file-links 24s
tramp-test38-special-characters 9s

Things are much faster for me with TEST_LOAD_EL=no (35s v 1m35s). 
I wonder about the utility of that setting being yes by default.
For me, faster, more frequent testing, with the option to re-run and get
more details from failures if they occur, is better than than the
current default.